# Generated by Django 3.0.3 on 2020-02-28 09:17

from django.db import migrations, models
import django_countries.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="City",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("geoname_id", models.IntegerField()),
                ("name", models.CharField(max_length=200)),
                ("ascii_name", models.CharField(max_length=200)),
                ("alternate_names", models.CharField(max_length=5000)),
                ("latitude", models.FloatField()),
                ("longitude", models.FloatField()),
                ("feature_class", models.CharField(max_length=1)),
                ("feature_code", models.CharField(max_length=10)),
                ("country_code", django_countries.fields.CountryField(max_length=2)),
                ("cc2", models.CharField(max_length=60)),
                ("admin1_code", models.CharField(max_length=20)),
                ("admin2_code", models.CharField(max_length=80)),
                ("admin3_code", models.CharField(max_length=20)),
                ("admin4_code", models.CharField(max_length=20)),
                ("population", models.BigIntegerField()),
                ("elevation", models.IntegerField()),
                ("digital_elevation_model", models.IntegerField()),
                ("timezone", models.CharField(max_length=40)),
                ("modified_at", models.DateField()),
            ],
            options={"db_table": "cities"},
        )
    ]
